Subject: Copyright transfer [was Re: #1282 Re: Additional Copyright notices in IETF documents]

From: Brian E Carpenter <[email-masked]>
Date: Wed, 14 Jun 2006 11:49:04 +0200

Whether it's a transfer or a grant, it would be a major change
in practice and I think would cause difficulty for many
participants. Those of us who work for large companies
would have to spend a lot more time with company lawyers
than we do today.

     Brian

(sorry to reply late but I am clearing a backlog)

[email-masked] wrote:
> David
> 
> Please be cautious about the word "transfer" - it is possible that
> "grant" is more appropriate.  In a "transfer" the author loses the
> transferred rights.  In a "grant", the author retains the rights
> - IETF has historically operated based on limited copyright
> grants, and it would be a major change to move to a "transfer"
> regime.
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
> 
> 
>>-----Original Message-----
>>From: David B Harrington [mailto:[email-masked]] 
>>Sent: Thursday, May 25, 2006 2:11 PM
>>To: 'Simon Josefsson'; 'Harald Alvestrand'
>>Cc: [email-masked]
>>Subject: RE: #1282 Re: Additional Copyright notices in IETF documents
>>
>>Hi,
>>
>>Should we develop a copyright transfer boilerplate that says "The
>>authors transfer all copyrights in this document to the IETF for
>>whatever purpose the IETF deems fit."?
>>
>>Maybe I'm naïve, but to my knowledge most WG editors who are "authors"
>>working on a WG document do not really think much about holding the
>>copyright on the document. If WG documents included a release of the
>>copyrights to the IETF, then if another SDO, for example, wants to be
>>able to copy a document and make modifications, the other SDO can
>>simply ask the IETF for the rights, without having to track down the
>>authors.
>>
>>dbh
>>
>>
>>>-----Original Message-----
>>>From: Simon Josefsson [mailto:[email-masked]] 
>>>Sent: Thursday, May 25, 2006 10:18 AM
>>>To: Harald Alvestrand
>>>Cc: [email-masked]
>>>Subject: Re: #1282 Re: Additional Copyright notices in IETF
>>
>>documents
>>
>>>
>>>Harald Alvestrand <[email-masked]> writes:
>>>
>>>
>>>>Simon,
>>>>
>>>>I have entered the issue of multiple copyright statements into the
>>>>tracker as issue #1282.
>>>
>>>Thanks!
>>>
>>>
>>>>Jorge identifies the issue of identifying which parts are under which
>>>>copyright; as we have discussed before, this often becomes
>>>>next-to-impossible when there are multiple contributors to a document.
>>>
>>>I disagree.  For the case that prompted this draft, there are two
>>>copyrights.  And, yes, the draft has many contributors; they either
>>>assigned the copyright to the FSF or the contribution was not legally
>>>significant.  One is for the code included in the document.  It is
>>>easy to identify where the code ends and where it starts.  The other
>>>is for specific text sections that I wrote, and the copying condition
>>>is explicit about which sections are covered by that copyright.
>>>
>>>So I don't think it is next-to-impossible to do this.  In some
>>>situations (one author, one copyright holder), it is trivial to do.
>>>
>>>Note that I don't challenge that there may be conceivable scenarios
>>>where it is next-to-impossible to implement this, but I don't see that
>>>as conflicting with the goal of my draft, and thus not relevant.  In
>>>those cases, you simply will have to avoid adding extra copyrights. I
>>>expect that approach to continue to be the norm for some time.  Few
>>>current IETF authors appear to want the additional protection that
>>>goes with an explicit copyright notice.
>>>
>>>Regards,
>>>Simon
>>>
>>>
>>>>                            Harald
>>>>
>>>>Simon Josefsson wrote:
>>>>
>>>>
>>>>>Hi.  The draft below argues for permitting multiple 
>>>
>>>copyrights in IETF
>>>
>>>>>documents.  I'd like to raise this as an issue within this 
>>>
>>>WG, because
>>>
>>>>>RFC 3978 section 5.4 was a major discussion item in the IESG
>>
>>before
>>
>>>>>approving RFC 3548bis, and one of the suggested ways to 
>>>
>>>proceed was to
>>>
>>>>>produce a document that alter's RFC 3978.
>>>>>
>>>>>In particular, I'd appreciate Jorge's input on whether this
>>
>>approach
>>
>>>>>would be impossible to adopt for the IETF for some legal reason.
>>>>>Given how often documents have multiple copyrights, I'd be
>>
>>surprised
>>
>>>>>if there are any legal issue that can't be resolved without
>>
>>altering
>>
>>>>>the intent of this document.
>>>>>
>>>>>In general, is there interest in adopting this document in the WG?
>>>>>
>>>>>Thanks,
>>>>>Simon
>>>>>
>>>>> 
>>>>>
>>>>>
>>>>>>	Title		: RFC 3978 Update Regarding Additional 
>>>
>>>Copyright Notices
>>>
>>>>>>	Filename	: draft-josefsson-ipr-notices-00.txt
>>>>>>	
>>>>>>RFC 3978 disallow additional copyright notices in IETF 
>>>
>>>Documents, but
>>>
>>>>>>the running code within the IETF appear to be to ignore 
>>>
>>>that rule and
>>>
>>>>>>publish documents with additional copyright notices.  There are
>>>>>>arguments for permitting additional copyright notices in IETF
>>>>>>documents, and some are given in this document.  This 
>>>
>>>document update
>>>
>>>>>>the paragraph in RFC 3978 that discusses additional copyrights,
>>
>>to
>>
>>>>>>relax the requirement.
>>>>>>
>>>>>>
>>>>>>A URL for this Internet-Draft is:
>>>>>>http://www.ietf.org/internet-drafts/draft-josefsson-ipr-not
>>
>>ices-00.txt
>>
>>>>>   
>>>>>
>>>>
>>>>_______________________________________________
>>>>Ipr-wg mailing list
>>>>[email-masked]
>>>>https://www1.ietf.org/mailman/listinfo/ipr-wg
>>>>
>>>> 
>>>>
>>
>>_______________________________________________
>>Ipr-wg mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ipr-wg
>>
>>
>>_______________________________________________
>>Ipr-wg mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ipr-wg
>>
> 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg